﻿Module Module1
    '// This routine controls the analog output of the data acquisition card to output a specified DC voltage on a specified channel.
    '// The applicable models for this routine are:
    '// PCI-2253
    '// PCI-31xx

    Sub Main()
        Dim DevIndex As Integer = 0
        Dim rst As Integer

        DevIndex = 0

        ' Open the device
        rst = OpenDevice(DevIndex)
        If rst < 0 Then Return

        ' Set the output voltage of Ao
        ' Here, set the output voltage of Ao 0 to 1.28V
        rst = SetAoValue(DevIndex, 0, 1.28)
        If rst < 0 Then Return

        Console.WriteLine("Success.")
        Console.ReadKey()

        rst = CloseDevice(DevIndex)
        If rst < 0 Then Return

    End Sub
End Module