﻿Module Module1
    ' This routine sets the default power-on values of the analog output channels of the data acquisition card.
    ' The applicable models for this routine are:
    ' PCI-2253
    ' PCI-31xx

    Sub Main()

        Dim rst As Integer
        Dim DevIndex As Integer = 0

        ' Open the device
        rst = OpenDevice(DevIndex)
        If (rst < 0) Then Return

        ' Set the default power-on output of Ao 0 to 1.28V
        rst = SetAoPowerOnValue(DevIndex, 0, 1.28)
        If (rst < 0) Then Return

        Console.WriteLine("Success.")

        ' Close the device
        rst = CloseDevice(DevIndex)
        If (rst < 0) Then Return

        Console.WriteLine("Press any key to quit.")
        Console.ReadKey()

    End Sub
End Module